Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junitutils
Class TestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junitutils.TestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  TestFilesTestSuite.Helper

public class TestCase
extends junit.framework.TestCase

Some utility methods for test cases

Field Summary
`protected static java.lang.String` | `NEWLINE`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`TestCase(java.lang.String name)`

Method Summary
`protected void` | `assertDiff(java.lang.String expected, java.lang.String actual)`
`protected void` | `assertEquals(java.lang.String expected, java.lang.String actual, boolean detailed)` Compare Strings for equality with better difference reporting.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NEWLINE

    protected static final java.lang.String NEWLINE

Constructor Detail

### TestCase

    public TestCase(java.lang.String name)

Method Detail

### assertEquals

    protected void assertEquals(java.lang.String expected,
                                java.lang.String actual,
                                boolean detailed)

  Compare Strings for equality with better difference reporting.

  Parameters:
    `expected` - the expected string
    `actual` - the actual string
    `detailed` - if true then report first position of difference along with Unicode values of the two characters, otherwise just compare strings for equality

### assertDiff

    protected void assertDiff(java.lang.String expected,
                              java.lang.String actual)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage